we implemented our proposed confounder control and feature visualization methods upon the 3D graph autoencoder from spiralnet_plus
https://github.com/sw-gong/spiralnet_plus

to start, run python main.py